=== debian/changelog ===
rclone (1.35-1) unstable; urgency=medium

  * Imported Upstream version 1.35
  * Refresh patches
  * Update bash completion script with new commands

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 03 Jan 2017 16:56:28 +0100

rclone (1.34-2) unstable; urgency=medium

  * Add rules for repackaging to d/copyright and d/watch
  * Replace golang-golang-x-oauth2-dev with golang-golang-x-oauth2-google-dev.
    Thanks to Aaron M. Ucko <amu@alum.mit.edu> (Closes: #846037)
  * Build-Depend on golang-any instead of golang-go
  * Add bash-completion script generated by rclone

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 28 Nov 2016 17:53:27 +0100

rclone (1.34-1) unstable; urgency=medium

  * Initial release (Closes: #822793)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 12 Nov 2016 17:33:16 +0100
