=== debian/control ===
Source: rclone
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               bash-completion,
               golang-any,
               golang-bazil-fuse-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-mreiferson-go-httpclient-dev,
               golang-github-ncw-go-acd-dev,
               golang-github-ncw-swift-dev,
               golang-github-pkg-errors-dev,
               golang-github-rfjakob-eme-dev,
               golang-github-skratchdot-open-golang-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stacktic-dropbox-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tsenart-tb-dev,
               golang-github-unknwon-goconfig-dev,
               golang-github-vividcortex-ewma-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-text-dev,
               golang-google-api-dev,
# This package is needed for testing only
               fuse
Standards-Version: 3.9.8
Homepage: https://github.com/ncw/rclone
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/rclone.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/rclone.git
XS-Go-Import-Path: github.com/ncw/rclone

Package: rclone
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: rsync for commercial cloud storage
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers:
 .
  - Google Drive
  - Amazon S3
  - Openstack Swift / Rackspace cloud files / Memset Memstore
  - Dropbox
  - Google Cloud Storage
  - Amazon Drive
  - Microsoft One Drive
  - Hubic
  - Backblaze B2
  - Yandex Disk

Package: golang-github-ncw-rclone-dev
Section: devel
Priority: extra
Architecture: all
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-bazil-fuse-dev,
         golang-github-aws-aws-sdk-go-dev,
         golang-github-mreiferson-go-httpclient-dev,
         golang-github-ncw-go-acd-dev,
         golang-github-ncw-swift-dev,
         golang-github-pkg-errors-dev,
         golang-github-rfjakob-eme-dev,
         golang-github-skratchdot-open-golang-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stacktic-dropbox-dev,
         golang-github-stretchr-testify-dev,
         golang-github-tsenart-tb-dev,
         golang-github-unknwon-goconfig-dev,
         golang-github-vividcortex-ewma-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-text-dev,
         golang-google-api-dev
Description: go source code of rclone
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers.
 .
 This package contains rclone's source code.
