## rclone 1.36

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,17 @@
 NEW_TAG := $(shell echo $(LAST_TAG) | perl -lpe 's/v//; $$_ += 0.01; $$_ = sprintf("v%.2f", $$_)')
 GO_VERSION := $(shell go version)
 GO_FILES := $(shell go list ./... | grep -v /vendor/ )
-GO_LATEST := $(findstring go1.7,$(GO_VERSION))
+GO_LATEST := $(findstring go1.8,$(GO_VERSION))
 BETA_URL := http://beta.rclone.org/$(TAG)/
 # Only needed for Go 1.5
 export GO15VENDOREXPERIMENT=1
 
+.PHONY: rclone
+
 rclone:
-	go install -v
+	touch fs/version.go
+	go install -v --ldflags "-s -X github.com/ncw/rclone/fs.Version=$(TAG)"
+	cp -av `go env GOPATH`/bin/rclone .
 
 vars:
 	@echo SHELL="'$(SHELL)'"
@@ -28,13 +32,13 @@
 
 # Quick test
 quicktest:
-	go test $(GO_FILES)
-	go test -cpu=2 -race $(GO_FILES)
+	RCLONE_CONFIG="/notfound" go test $(GO_FILES)
+	RCLONE_CONFIG="/notfound" go test -cpu=2 -race $(GO_FILES)
 
 # Do source code quality checks
 check:	rclone
 ifdef GO_LATEST
-	go vet $(GO_FILES)
+	go tool vet -printfuncs Debugf,Infof,Logf,Errorf . 2>&1 | grep -E -v vendor/ ; test $$? -eq 1
 	errcheck $(GO_FILES)
 	find . -name \*.go | grep -v /vendor/ | xargs goimports -d | grep . ; test $$? -eq 1
 	go list ./... | grep -v /vendor/ | xargs -i golint {} | grep -E -v '(StorageUrl|CdnUrl)' ; test $$? -eq 1
@@ -48,7 +52,6 @@
 	go get -u github.com/kisielk/errcheck
 	go get -u golang.org/x/tools/cmd/goimports
 	go get -u github.com/golang/lint/golint
-	go get -u github.com/mitchellh/gox
 	go get -u github.com/inconshreveable/mousetrap
 	go get -u github.com/tools/godep
 endif
@@ -99,18 +102,18 @@
 	./bin/upload-github $(TAG)
 
 cross:	doc
-	./bin/cross-compile $(TAG)
+	go run bin/cross-compile.go -release current $(TAG)
 
 beta:
-	./bin/cross-compile $(TAG)β
-	rm build/*-current-*
+	go run bin/cross-compile.go $(TAG)β
 	rclone -v copy build/ memstore:pub-rclone-org/$(TAG)β
 	@echo Beta release ready at http://pub.rclone.org/$(TAG)%CE%B2/
 
 travis_beta:
-	./bin/cross-compile $(TAG)β
-	rm build/*-current-*
-	rclone --config bin/travis.rclone.conf -v copy build/ memstore:beta-rclone-org/$(TAG)
+	git log $(LAST_TAG).. > /tmp/git-log.txt
+	go run bin/cross-compile.go -release beta-latest -git-log /tmp/git-log.txt $(TAG)β
+	rclone --config bin/travis.rclone.conf -v copy --exclude '*beta-latest*' build/ memstore:beta-rclone-org/$(TAG)
+	rclone --config bin/travis.rclone.conf -v copy --include '*beta-latest*' build/ memstore:beta-rclone-org
 	@echo Beta release ready at $(BETA_URL)
 
 serve:	website
@@ -119,18 +122,20 @@
 tag:	doc
 	@echo "Old tag is $(LAST_TAG)"
 	@echo "New tag is $(NEW_TAG)"
-	echo -e "package fs\n\n// Version of rclone\nvar Version = \"$(NEW_TAG)-DEV\"\n" | gofmt > fs/version.go
+	echo -e "package fs\n\n// Version of rclone\nvar Version = \"$(NEW_TAG)\"\n" | gofmt > fs/version.go
 	perl -lpe 's/VERSION/${NEW_TAG}/g; s/DATE/'`date -I`'/g;' docs/content/downloads.md.in > docs/content/downloads.md
 	git tag $(NEW_TAG)
-	@echo "Add this to changelog in docs/content/changelog.md"
-	@echo "  * $(NEW_TAG) -" `date -I`
-	@git log $(LAST_TAG)..$(NEW_TAG) --oneline
+	@echo "Edit the new changelog in docs/content/changelog.md"
+	@echo "  * $(NEW_TAG) -" `date -I` >> docs/content/changelog.md
+	@git log $(LAST_TAG)..$(NEW_TAG) --oneline >> docs/content/changelog.md
 	@echo "Then commit the changes"
 	@echo git commit -m \"Version $(NEW_TAG)\" -a -v
 	@echo "And finally run make retag before make cross etc"
 
 retag:
 	git tag -f $(LAST_TAG)
+	echo -e "package fs\n\n// Version of rclone\nvar Version = \"$(LAST_TAG)-DEV\"\n" | gofmt > fs/version.go
+	git commit -m "Start $(LAST_TAG)-DEV development" fs/version.go
 
 gen_tests:
 	cd fstest/fstests && go generate
