=== debian/changelog ===
rclone (1.36-3) unstable; urgency=medium

  * Team upload.
  * Add missing build-dep golang-github-pkg-sftp-dev

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 30 Jul 2017 19:42:48 +0200

rclone (1.36-2) unstable; urgency=medium

  * Add 0004-Fix-test-failure.patch to fix FTBFS (Closes: #869376)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 23 Jul 2017 22:11:42 +0200

rclone (1.36-1) unstable; urgency=medium

  * New upstream version 1.36
    - Refresh patches
  * Use autopkgtest-pkg-go
  * Update d/copyright
  * Update to Standards-Version 4.0.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 03 Jul 2017 13:33:56 +0200
