=== debian/control ===
--- 
+++ 
@@ -28,13 +28,15 @@
                golang-golang-x-sys-dev,
                golang-golang-x-text-dev,
                golang-google-api-dev,
+               golang-github-pkg-sftp-dev,
 # This package is needed for testing only
                fuse
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/ncw/rclone
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/rclone.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/rclone.git
 XS-Go-Import-Path: github.com/ncw/rclone
+Testsuite: autopkgtest-pkg-go
 
 Package: rclone
 Architecture: any
@@ -83,7 +85,8 @@
          golang-golang-x-oauth2-google-dev,
          golang-golang-x-sys-dev,
          golang-golang-x-text-dev,
-         golang-google-api-dev
+         golang-google-api-dev,
+         golang-github-pkg-sftp-dev
 Description: go source code of rclone
  Rclone is a program to sync files and directories between the local
  file system and a variety of commercial cloud storage providers.
