=== debian/rules ===
#!/usr/bin/make -f

# Include test fixtures
export DH_GOLANG_INSTALL_EXTRA := fs/testdata

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion
