=== debian/changelog ===
rclone (1.41-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.41. Closes: #877859
    - Refresh patches
    - New patch to disable possible privacy breach
    - Skip failing tests for now
    - Add new build dependencies
    - Update bash completion for rclone
    - Do not build qingstor and mega backends for now.
      The required go packages are not available in Debian yet.
  * Run wrap-and-sort
  * Use debhelper v11
  * Update to Standards-Version 4.1.4
    - Use Priority: optional
  * Update d/copyright
  * Update d/rules
  * Add lintian override for wrongly detected privacy breach

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 13 May 2018 00:11:46 +0200
