=== debian/control ===
Source: rclone
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: bash-completion,
               debhelper (>= 11~),
               dh-golang,
               fuse,
               golang-any,
               golang-bazil-fuse-dev,
               golang-github-a8m-tree-dev,
               golang-github-abbot-go-http-auth-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-azure-azure-sdk-for-go-dev,
               golang-github-coreos-bbolt-dev,
               golang-github-djherbis-times-dev,
               golang-github-dropbox-dropbox-sdk-go-unofficial-dev,
               golang-github-jlaffaye-ftp-dev,
               golang-github-ncw-go-acd-dev,
               golang-github-ncw-swift-dev,
               golang-github-nsf-termbox-go-dev,
               golang-github-okzk-sdnotify-dev,
               golang-github-patrickmn-go-cache-dev,
               golang-github-pkg-errors-dev,
               golang-github-pkg-sftp-dev,
               golang-github-rfjakob-eme-dev,
               golang-github-sevlyar-go-daemon-dev,
               golang-github-skratchdot-open-golang-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-unknwon-goconfig-dev,
               golang-github-vividcortex-ewma-dev,
               golang-github-xanzy-ssh-agent-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-text-dev,
               golang-golang-x-time-dev,
               golang-google-api-dev,
               golang-google-appengine-dev
Standards-Version: 4.1.4
Homepage: https://github.com/ncw/rclone
Vcs-Browser: https://salsa.debian.org/go-team/packages/rclone
Vcs-Git: https://salsa.debian.org/go-team/packages/rclone.git
XS-Go-Import-Path: github.com/ncw/rclone
Testsuite: autopkgtest-pkg-go

Package: golang-github-ncw-rclone-dev
Section: devel
Priority: optional
Architecture: all
Built-Using: ${misc:Built-Using}
Depends: golang-bazil-fuse-dev,
         golang-github-aws-aws-sdk-go-dev,
         golang-github-mreiferson-go-httpclient-dev,
         golang-github-ncw-go-acd-dev,
         golang-github-ncw-swift-dev,
         golang-github-pkg-errors-dev,
         golang-github-pkg-sftp-dev,
         golang-github-rfjakob-eme-dev,
         golang-github-skratchdot-open-golang-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stacktic-dropbox-dev,
         golang-github-stretchr-testify-dev,
         golang-github-tsenart-tb-dev,
         golang-github-unknwon-goconfig-dev,
         golang-github-vividcortex-ewma-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-text-dev,
         golang-google-api-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: go source code of rclone
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers.
 .
 This package contains rclone's source code.

Package: rclone
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: rsync for commercial cloud storage
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers:
 .
  - Google Drive
  - Amazon S3
  - Openstack Swift / Rackspace cloud files / Memset Memstore
  - Dropbox
  - Google Cloud Storage
  - Amazon Drive
  - Microsoft One Drive
  - Hubic
  - Backblaze B2
  - Yandex Disk
