=== debian/rules ===
#!/usr/bin/make -f

# Do not build the qingstor and mega backends for now, the required
# go packages are not available yet.
export DH_GOLANG_EXCLUDES := backend/qingstor backend/mega

# Also install test data
export DH_GOLANG_INSTALL_EXTRA := \
	backend/alias/test \
	backend/http/test \
	cmd/lsf/testfiles \
	cmd/tree/testfiles

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion
