=== debian/changelog ===
rclone (1.45-3) unstable; urgency=medium

  * d/rules: increase test timeout.
    Some architectures like mips are slow to run test

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 10 Jun 2019 02:22:04 +0800

rclone (1.45-2) unstable; urgency=medium

  * Add versioned Build-Depends.
    The recent upload of golang-github-okzk-sdnotify makes
    the older version of rclone (in testing) FTBFS.
    Thanks to Paul Gevers <elbrus@debian.org> (Closes: #915907)
  * Disable autopkgtest-pkg-go

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 12 Dec 2018 09:40:34 +0100

rclone (1.45-1) unstable; urgency=medium

  * New upstream version 1.45. Closes: #903202
    - Refresh patches
    - New patch to disable FTP server of rclone.
      The Build-Dependency is not available in Debian yet.
    - Update dependencies
    - Ignore two more failing tests
    - Include another testdata directory
    - Update bash completion script
  * Remove Built-Using from -dev package
  * Remove Priority from -dev package
  * Update Standards-Version to 4.2.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 05 Dec 2018 21:53:01 +0100
