=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-github-a8m-tree-dev,
                golang-github-abbot-go-http-auth-dev,
                golang-github-aws-aws-sdk-go-dev,
-               golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-azure-azure-storage-blob-go-dev,
                golang-github-coreos-bbolt-dev,
                golang-github-djherbis-times-dev,
                golang-github-dropbox-dropbox-sdk-go-unofficial-dev,
@@ -23,7 +23,6 @@
                golang-github-okzk-sdnotify-dev,
                golang-github-patrickmn-go-cache-dev,
                golang-github-pkg-errors-dev,
-               golang-github-pkg-sftp-dev,
                golang-github-rfjakob-eme-dev,
                golang-github-sevlyar-go-daemon-dev,
                golang-github-skratchdot-open-golang-dev,
@@ -31,7 +30,6 @@
                golang-github-spf13-pflag-dev,
                golang-github-stretchr-testify-dev,
                golang-github-unknwon-goconfig-dev,
-               golang-github-vividcortex-ewma-dev,
                golang-github-xanzy-ssh-agent-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
@@ -39,41 +37,45 @@
                golang-golang-x-sys-dev,
                golang-golang-x-text-dev,
                golang-golang-x-time-dev,
-               golang-google-api-dev,
-               golang-google-appengine-dev
-Standards-Version: 4.1.4
+               golang-google-api-dev
+Standards-Version: 4.2.1
 Homepage: https://github.com/ncw/rclone
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rclone
 Vcs-Git: https://salsa.debian.org/go-team/packages/rclone.git
 XS-Go-Import-Path: github.com/ncw/rclone
-Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-ncw-rclone-dev
 Section: devel
-Priority: optional
 Architecture: all
-Built-Using: ${misc:Built-Using}
 Depends: golang-bazil-fuse-dev,
+         golang-github-a8m-tree-dev,
+         golang-github-abbot-go-http-auth-dev,
          golang-github-aws-aws-sdk-go-dev,
-         golang-github-mreiferson-go-httpclient-dev,
+         golang-github-azure-azure-storage-blob-go-dev,
+         golang-github-coreos-bbolt-dev,
+         golang-github-djherbis-times-dev,
+         golang-github-dropbox-dropbox-sdk-go-unofficial-dev,
+         golang-github-jlaffaye-ftp-dev,
          golang-github-ncw-go-acd-dev,
          golang-github-ncw-swift-dev,
+         golang-github-nsf-termbox-go-dev,
+         golang-github-okzk-sdnotify-dev (>= 0.0~git20180710.d9becc3-1),
+         golang-github-patrickmn-go-cache-dev,
          golang-github-pkg-errors-dev,
-         golang-github-pkg-sftp-dev,
          golang-github-rfjakob-eme-dev,
+         golang-github-sevlyar-go-daemon-dev,
          golang-github-skratchdot-open-golang-dev,
          golang-github-spf13-cobra-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-stacktic-dropbox-dev,
          golang-github-stretchr-testify-dev,
-         golang-github-tsenart-tb-dev,
          golang-github-unknwon-goconfig-dev,
-         golang-github-vividcortex-ewma-dev,
+         golang-github-xanzy-ssh-agent-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-golang-x-oauth2-google-dev,
          golang-golang-x-sys-dev,
          golang-golang-x-text-dev,
+         golang-golang-x-time-dev,
          golang-google-api-dev,
          ${misc:Depends},
          ${shlibs:Depends}
