=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,13 @@
 # Also install test data
 export DH_GOLANG_INSTALL_EXTRA := \
 	backend/alias/test \
+	backend/drive/test \
 	backend/http/test \
 	cmd/lsf/testfiles \
 	cmd/tree/testfiles
 
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion
+
+override_dh_auto_test:
+	dh_auto_test -- -timeout 20m
